Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::compliance::ResultInformation Class Reference
Inheritance diagram for foxit::addon::compliance::ResultInformation:

## Public Member Functions
| ResultInformation ()
| Constructor.
| ResultInformation (const ResultInformation &other)
| Constructor, with another result information object. More...
| ~ResultInformation ()
| Destructor.
FixupData | GetFixupData (int index) const
| Get a fixup data. More...
int | GetFixupDataCount () const
| Get count of fixup data. More...
HitData | GetHitData (int index) const
| Get a hit data. More...
int | GetHitDataCount () const
| Get count of hit data. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const ResultInformation &other) const
| Not equal operator. More...
ResultInformation & | operator= (const ResultInformation &other)
| Assign operator. More...
bool | operator== (const ResultInformation &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents the set of result information for verification or conversion process. Fixup data or hit data can be retrieved from the result information.

## Constructor & Destructor Documentation

## ◆ ResultInformation()

foxit::addon::compliance::ResultInformation::ResultInformation | ( | const ResultInformation & | other | ) |

Constructor, with another result information object.

Parameters

  [in] | other | Another ResultInformation object.

## Member Function Documentation

## ◆ GetFixupData()

FixupData foxit::addon::compliance::ResultInformation::GetFixupData | ( | int | index | ) | const

Get a fixup data.

Parameters

  [in] | index | Index of fixup data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation::GetFixupDataCount.

Returns
  Fixup data.

## ◆ GetFixupDataCount()

int foxit::addon::compliance::ResultInformation::GetFixupDataCount | ( |  | ) | const

Get count of fixup data.

Returns
  Count of fixup data.

## ◆ GetHitData()

HitData foxit::addon::compliance::ResultInformation::GetHitData | ( | int | index | ) | const

Get a hit data.

Parameters

  [in] | index | Index of hit data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation::GetHitDataCount.

Returns
  Hit data.

## ◆ GetHitDataCount()

int foxit::addon::compliance::ResultInformation::GetHitDataCount | ( |  | ) | const

Get count of hit data.

Returns
  Count of hit data.

## ◆ IsEmpty()

bool foxit::addon::compliance::ResultInformation::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::compliance::ResultInformation::operator!= | ( | const ResultInformation & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another result information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

ResultInformation& foxit::addon::compliance::ResultInformation::operator= | ( | const ResultInformation & | other | ) |

Assign operator.

Parameters

  [in] | other | Another result information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::ResultInformation::operator== | ( | const ResultInformation & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another result information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.